Jump to content


Photo

apt-get failure with 14.04 lvds image


  • Please log in to reply
13 replies to this topic

#1 rosswakelin

rosswakelin

    Newbie

  • Members
  • Pip
  • 7 posts

Posted 20 September 2015 - 06:14 AM

Just installed a brand new board, and flashed to 14.04 lvds image.  Board boots and runs ok.

I need to install some more packages, so I fired up apt-get and received the following error:

 

linaro@linaro-alip:~$ sudo apt-get update
Get:1 http://www.wiimu.com:8020pcduino InRelease [2438 B]
100% [1 InRelease gpgv 2438 B] [Waiting for headers] [Waiting for headers] [Waiting for headers]Splitting up /var/lib/apt/listsIgn http://www.wiimu.com:8020pcduino InRelease
E: GPG error: http://www.wiimu.com:8020pcduino InRelease: Clearsigned file isn't valid, got 'NODATA' (does the network require authentication?)
 
shouldn't this just work out of the box?
 
There is no proxy between the machine and the internet, other linux boxes work ok.
 
 


#2 cwilt

cwilt

    Advanced Member

  • Members
  • PipPipPip
  • 1,012 posts

Posted 20 September 2015 - 11:10 AM

I assume that there were many things before this that did go through just fine?

#3 LS-Support-12

LS-Support-12

    Forum Support

  • Moderators
  • 326 posts

Posted 20 September 2015 - 12:29 PM

 

Just installed a brand new board, and flashed to 14.04 lvds image.  Board boots and runs ok.

I need to install some more packages, so I fired up apt-get and received the following error...

And this happens immediately after you flash the OS image? You do not do anything in the meantime?



#4 rosswakelin

rosswakelin

    Newbie

  • Members
  • Pip
  • 7 posts

Posted 20 September 2015 - 07:23 PM

This is the first attempt at anything since the board was flashed.

I know the network is working (wireless) because this error is from an ssh session to the board.

So...    download the image, copy it to the SD card, flash the image on the board, boot the board, change the wireless settings to get the network going, ssh to the board, use board-config.sh to set the timezone and locale, and then tried to apt-get update....



#5 cwilt

cwilt

    Advanced Member

  • Members
  • PipPipPip
  • 1,012 posts

Posted 20 September 2015 - 11:37 PM

Have you tried it since? Just wondering if it may have been a server error.



#6 rosswakelin

rosswakelin

    Newbie

  • Members
  • Pip
  • 7 posts

Posted 21 September 2015 - 06:52 AM

happens all the time.



#7 cwilt

cwilt

    Advanced Member

  • Members
  • PipPipPip
  • 1,012 posts

Posted 21 September 2015 - 10:07 AM

Everything else succeeds?



#8 rosswakelin

rosswakelin

    Newbie

  • Members
  • Pip
  • 7 posts

Posted 22 September 2015 - 06:17 AM

Sorry, what everything else.  Can you be more specific please.



#9 cwilt

cwilt

    Advanced Member

  • Members
  • PipPipPip
  • 1,012 posts

Posted 22 September 2015 - 09:55 AM

Sorry, what everything else.  Can you be more specific please.

 

Sorry I did not explain. Normally when "sudo apt-get update" is executing there is a long list of things that are checked and update with "wiimu" being at the end. Unfourtunately I am working out of state this week and do not have a pcDuino with me to test and replicate the problem you are having.



#10 LS-Support-12

LS-Support-12

    Forum Support

  • Moderators
  • 326 posts

Posted 24 September 2015 - 03:45 PM

Just installed a brand new board, and flashed to 14.04 lvds image.

You use this image?

 

Ubuntu NAND image for LVDS LCD (use LiveSuite or PhoenixCard), 02-06-2015.



#11 rosswakelin

rosswakelin

    Newbie

  • Members
  • Pip
  • 7 posts

Posted 29 September 2015 - 05:15 AM

No - I was using 20150202.  I will download the new image and give it a try.



#12 rosswakelin

rosswakelin

    Newbie

  • Members
  • Pip
  • 7 posts

Posted 29 September 2015 - 05:21 AM

Ah, here is an issue.

 

You use this image?

 

Ubuntu NAND image for LVDS LCD (use LiveSuite or PhoenixCard), 02-06-2015.

you say 02-06-2015 which I took to be 2nd June 2015, rather than 6th Feb 2015.  So the image I am using is the same one that you noted.


  • LS-Support-12 likes this

#13 rosswakelin

rosswakelin

    Newbie

  • Members
  • Pip
  • 7 posts

Posted 30 September 2015 - 06:32 AM

reply to cwilt....

 

The error I showed you is the ONLY output from apt-get. The wimu is the only repository it tries.



#14 cwilt

cwilt

    Advanced Member

  • Members
  • PipPipPip
  • 1,012 posts

Posted 30 September 2015 - 10:52 AM

Can you show me your /etc/apt/sources.list file?

 

We may just remove the wiimu.com part. You are right it should work out of the box. Normally there is many things done before it gets to the wiimu part so I do not know what is going on yet.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users